#! /bin/sh
#+
# .. program: gen_survey.sh
#
# =============
# gen_survey.sh
# =============
#
# DESCRIPTION
# ===========
#
# creation survey of the project
#
# SEE ALSO
# ========
#
# :ref:`bibtropflux.xml`
# :ref:`usertropflux.xml`
# :ref:`usertropflux.dtd`
# :ref:`maintropflux.xml`
#
# :ref:`conf.py`
#
# TODO
# ====
#
# connect with Sphinx website (cp ++)
#
# make it work un der cratos : now no ploticus available
#
# This tool has to be call during website building ... so either in ./Makefile
# or in ../makefile
#
# hard coded superbib path
#
# EVOLUTIONS
# ==========
#
# $URL$
#
# $Id$
#
# - fplod 20110705T155755Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * start to try to run sphinx-build
#
# - fplod 20110629T124711Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * start usage of rest in superbib
#
# - fplod 20110624T142756Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * creation (superdraft)
#
#-
cd /usr/home/fplod/src/superbib_ws
make before
ln -sf /usr/home/fplod/incas/tropflux/tropflux_ws/adm/website/bibtropflux.xml .//biblio.xml
ln -sf  /usr/home/fplod/incas/tropflux/tropflux_ws/adm/website/usertropflux.xml  ./user.xml
ln -sf  /usr/home/fplod/incas/tropflux/tropflux_ws/adm/website/usertropflux.dtd  ./user.dtd
ln -sf  /usr/home/fplod/incas/tropflux/tropflux_ws/adm/website/maintropflux.xml ./main.xml
make html
make rest
find /tmp/superbib/ . -name "*.rst"
sphinx-build -b html -c . /tmp/superbib/ /tmp
# ++ cp ++ _static/survey.png
#++ make -n install
#++install.sh -w /tmp/superbib/ -u  http://www.locean-ipsl.upmc.fr/~fplod/supertropflux/
#
exit 0
